<?php
namespace Mirasvit\SeoContent\Controller\Adminhtml\Template\ImageUpload;

/**
 * Interceptor class for @see \Mirasvit\SeoContent\Controller\Adminhtml\Template\ImageUpload
 */
class Interceptor extends \Mirasvit\SeoContent\Controller\Adminhtml\Template\ImageUpload implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Model\ImageUploader $imageUploader, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($imageUploader, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
